SYSCTL(8)

NAMN
sysctl — konfigurera kärnparametrar under gång

SYNOPSIS
sysctl [flaggor] [variabel[=värde]] […]
sysctl -p [fil eller reguttr] […]

BESKRIVNING
sysctl används för att ändra kärnparametrar under gång. De tillgängliga parametrarna är de som listas under /proc/sys/. Procfs krävs för att stödja sysctl i Linux. Du kan använda sysctl både för att läsa och skriva sysctl-data.

PARAMETRAR

variabel
    Namnet på en nyckel att läsa ifrån. Ett exempel är kernel.ostype. Separatorn ”/” godkänns också istället för en ”.”.

variabel=värde
    För att sätta en nyckel, använd formen variabel=värde där variabel är nyckeln och värde är värdet att sätta den till. Om värdet innehåller citationstecken eller tecken som tolkas av skalet kan du behöva omge värdet med citationstecken.

-n, --values
    Använd denna flagga för att slå av utskrift av nyckelnamnet när värden skrivs.

-e, --ignore
    Använd denna flagga för att ignorera fel för okända nycklar.

-N, --names
    Använd denna flagga för att bara skriva namnen. Det kan vara användbart med skal som har programmerbar komplettering.

-q, --quiet
    Använd denna flagga för att inte visa värdena som sätts på standard ut.

-w, --write
    Tvinga alla argument att vara skrivargument och skriv ett fel om de inte kan tolkas på det sättet.

-p[FIL], --load[=FIL]
    Läs in sysctl-inställningar från filen som anges eller /etc/sysctl.conf om ingen anges. Att ange - som ett filnamn betyder att läsa data från standard in. Användning av denna flagga kommer betyda att argument till sysctl är filer, vilka läses i den ordning de anges. Filargumentet kan anges som ett reguljärt uttryck.

-a, --all
    Visa alla värden som för närvarande är tillgängliga.

--deprecated
    Inkludera utgående parametrar i värdelistningen med --all.

-b, --binary
    Skriv värdet utan nyrad.

--system
    Läs in inställningar från alla systemkonfigurationsfiler. Se avsnittet SYSTEMFILSPRECEDENS nedan.

-r, --pattern mönster
    Verkställ endast inställningar som matchar mönster. Mönstret använder syntaxen för utökade reguljära uttryck.

-A  Alias för -a

-d  Alias för -h

-f  Alias för -p

-X  Alias för -a

-o  Gör ingenting, finns för kompatibilitet med BSD.

-x  Gör ingenting, finns för kompatibilitet med BSD.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa versionsinformation och avsluta.

SYSTEMFILSPRECEDENS
När man använder flaggan --system kommer sysctl läsa filer från kataloger i följande lista i angiven ordning från början till slut. När en fil med ett angivet filnamn lästs in kommer eventuella filer med samma namn i senare kataloger ingoreras. /etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf Alla konfigurationsfiler sorteras i lexikografisk ordning, oavsett vilken katalog de finns i. Konfigurationsfiler kan antingen ersättas helt (genom att ha en ny konfigurationsfil med samma namn i en katalog med högre prioritet) eller ersättas delvis (genom att ha en konfigurationsfil som ordnas senare).

EXEMPEL
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --pattern '^net.ipv6' --system

FÖRÅLDRADE PARAMETRAR
base_reachable_time och retrans_time är föråldrade. Kommandot sysctl tillåter inte ändring av dessa parametrar. Användare som insisterar på att använda föråldrade kärngränssnitt får trycka värdet till filsystemet /proc på annat sätt. Till exempel:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

FILER
/proc/sys
/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

SE ÄVEN
proc(5), sysctl.conf(5), regex(7)

UPPHOVSMAN
George Staikos (staikos@0wned.org)

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se